// waifusearch, the IB searcher
// ============================
// -This software is designed to search an imageboard's text.

// -Filename: user_flags.hpp
// -User-configurable settings for waifusearch

#pragma once

#include <filesystem>
#include <string>

// alias'
using file_path = std::filesystem::path;

// -user's global vars: (feel free to tweak these with some caution, Anon)
bool        make_hyperlinks{true};
bool        show_timing{false};
bool        show_terms{false};
bool        write_files{true};
file_path   jsons_dir{"./all_jsons/"};
std::string board_nm{
    "robowaifu"};  // you'll also need the proper JSON files collection too, ofc

// Copyright (2021)
// License (MIT) https://opensource.org/licenses/MIT
